Bug 1132066 - [RFE] Allow creation of new disks as copy of any existing disk
Summary: [RFE] Allow creation of new disks as copy of any existing disk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Tomas Jelinek
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On:
Blocks: 1252755
TreeView+ depends on / blocked
 
Reported: 2014-08-20 15:15 UTC by Jaison Raju
Modified: 2019-10-10 09:22 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, it was only possible to copy disks attached to a template to a different storage domain. With this release, you can now also copy virtual machine disks and floating disks to either the same or a different storage domain.
Clone Of:
Environment:
Last Closed: 2016-03-09 20:36:53 UTC
oVirt Team: Storage
Target Upstream Version:
scohen: needinfo+
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 38334 master MERGED core: Allow creation of new disks as copy of any existing disk Never
oVirt gerrit 38335 master MERGED webadmin: Allow creation of new disks as copy of any existing disk Never
oVirt gerrit 38367 master MERGED restapi: Allow creation of new disks as copy of any existing disk Never
Red Hat Knowledge Base (Solution) 1359223 None None None Never

Description Jaison Raju 2014-08-20 15:15:44 UTC
1. Proposed title of this feature request  
Allow creation of new disks as copy / replica of any existing disk of choice (
disks that are attached/unattached to any vm / template )
      
    2. Who is the customer behind the request?  
    Account: name Etes GmbH  1319153
    TAM customer: no
    SRM customer: no  
    Strategic: no
      
    3. What is the nature and description of the request?  
Option to create new disk which are copies of any required disk in any storage domain in DC .
      
    4. Why does the customer need this? (List the business requirements here)  
      This is a basic operation which customer environment frequently requires.

(Note: There are many RFE which indirectly requires the same but closed ,
as they were raised long back . BZ849419 )

    5. How would the customer like to achieve this? (List the functional requirements here)  
      
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
      
    9. Is the sales team involved in this request and do they have any additional input?  
      
    10. List any affected packages or components.  
      rhevm
    11. Would the customer be able to assist in testing this functionality if implemented?  
yes

Comment 1 Allon Mureinik 2014-08-24 07:01:35 UTC
Sean, let's review for 3.6?

Comment 7 Tomas Jelinek 2015-05-15 09:08:36 UTC
Feature page: http://www.ovirt.org/Features/Copy_Disks

Comment 8 Kevin Alon Goldblatt 2015-06-02 12:43:29 UTC
Test Plan was sent to all relevant parties.

Test Plan was reviewed

Comment 10 Kevin Alon Goldblatt 2015-06-22 11:54:57 UTC
Verified according to test plan:
https://projects.engineering.redhat.com/browse/RHEVM-2138

Submitted bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1232178
https://bugzilla.redhat.com/show_bug.cgi?id=1232396

Moving to Verified!

Comment 13 errata-xmlrpc 2016-03-09 20:36:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html

Comment 14 Richard Davis 2016-04-22 09:11:27 UTC
Chaps - This is an awesome bit of work.  We've waited a while for it but works like a dream. Well done all involved.

Comment 15 Yaniv Lavi 2016-04-26 14:54:16 UTC
(In reply to Richard Davis from comment #14)
> Chaps - This is an awesome bit of work.  We've waited a while for it but
> works like a dream. Well done all involved.

Thank you! It great to hear positive feedback.


Note You need to log in before you can comment on or make changes to this bug.